Skip to content
Snippets Groups Projects
Commit a1fe1983 authored by Moe Jette's avatar Moe Jette
Browse files

Remove references to libglade (previous required for sview)

parent e6a3a1c5
No related branches found
No related tags found
No related merge requests found
...@@ -37,20 +37,10 @@ AC_DEFUN([X_AC_GTK], ...@@ -37,20 +37,10 @@ AC_DEFUN([X_AC_GTK],
fi fi
if test x$HAVEPKGCONFIG = xno; then if test x$HAVEPKGCONFIG = xno; then
AC_MSG_WARN([*** pkg-config not found. Cannot probe for libglade-2.0 or gtk+-2.0.]) AC_MSG_WARN([*** pkg-config not found. Cannot probe for gtk+-2.0.])
ac_have_gtk="no" ac_have_gtk="no"
fi fi
### Check for libglade package (We don't need this right now so don't add it)
# if test "$ac_have_gtk" == "yes"; then
# $HAVEPKGCONFIG --exists libglade-2.0
# if ! test $? -eq 0 ; then
# AC_MSG_WARN([*** libbglade-2.0 is not available.])
# ac_have_gtk="no"
# fi
# fi
### Check for min gtk package ### Check for min gtk package
if test "$ac_have_gtk" == "yes" ; then if test "$ac_have_gtk" == "yes" ; then
$HAVEPKGCONFIG --exists gtk+-2.0 $HAVEPKGCONFIG --exists gtk+-2.0
...@@ -70,13 +60,8 @@ AC_DEFUN([X_AC_GTK], ...@@ -70,13 +60,8 @@ AC_DEFUN([X_AC_GTK],
### Run a test program ### Run a test program
if test "$ac_have_gtk" == "yes" ; then if test "$ac_have_gtk" == "yes" ; then
# GTK2_CFLAGS=`$HAVEPKGCONFIG --cflags libglade-2.0 gtk+-2.0 gthread-2.0`
GTK2_CFLAGS=`$HAVEPKGCONFIG --cflags gtk+-2.0 gthread-2.0` GTK2_CFLAGS=`$HAVEPKGCONFIG --cflags gtk+-2.0 gthread-2.0`
# GTK2_LIBS=`$HAVEPKGCONFIG --libs libglade-2.0 gtk+-2.0 gthread-2.0` GTK2_LIBS=`$HAVEPKGCONFIG --libs gtk+-2.0 gthread-2.0`
GTK2_LIBS=`$HAVEPKGCONFIG --libs gtk+-2.0 gthread-2.0`
# if test ! -z "GLADE_STATIC" ; then
# GTK2_LIBS=`echo $GTK2_LIBS | sed "s/-lglade-2.0/$GLADE_STATIC -lglade-2.0 $BDYNAMIC/g"`
# fi
save_CFLAGS="$CFLAGS" save_CFLAGS="$CFLAGS"
save_LIBS="$LIBS" save_LIBS="$LIBS"
CFLAGS="$GTK2_CFLAGS $save_CFLAGS" CFLAGS="$GTK2_CFLAGS $save_CFLAGS"
......
...@@ -25969,21 +25969,11 @@ fi ...@@ -25969,21 +25969,11 @@ fi
fi fi
   
if test x$HAVEPKGCONFIG = xno; then if test x$HAVEPKGCONFIG = xno; then
{ echo "$as_me:$LINENO: WARNING: *** pkg-config not found. Cannot probe for libglade-2.0 or gtk+-2.0." >&5 { echo "$as_me:$LINENO: WARNING: *** pkg-config not found. Cannot probe for gtk+-2.0." >&5
echo "$as_me: WARNING: *** pkg-config not found. Cannot probe for libglade-2.0 or gtk+-2.0." >&2;} echo "$as_me: WARNING: *** pkg-config not found. Cannot probe for gtk+-2.0." >&2;}
ac_have_gtk="no" ac_have_gtk="no"
fi fi
   
### Check for libglade package (We don't need this right now so don't add it)
# if test "$ac_have_gtk" == "yes"; then
# $HAVEPKGCONFIG --exists libglade-2.0
# if ! test $? -eq 0 ; then
# AC_MSG_WARN([*** libbglade-2.0 is not available.])
# ac_have_gtk="no"
# fi
# fi
### Check for min gtk package ### Check for min gtk package
if test "$ac_have_gtk" == "yes" ; then if test "$ac_have_gtk" == "yes" ; then
$HAVEPKGCONFIG --exists gtk+-2.0 $HAVEPKGCONFIG --exists gtk+-2.0
...@@ -26005,13 +25995,8 @@ echo "$as_me: WARNING: *** gtk+-$gtk_config_version available, we need >= gtk+-$ ...@@ -26005,13 +25995,8 @@ echo "$as_me: WARNING: *** gtk+-$gtk_config_version available, we need >= gtk+-$
   
### Run a test program ### Run a test program
if test "$ac_have_gtk" == "yes" ; then if test "$ac_have_gtk" == "yes" ; then
# GTK2_CFLAGS=`$HAVEPKGCONFIG --cflags libglade-2.0 gtk+-2.0 gthread-2.0`
GTK2_CFLAGS=`$HAVEPKGCONFIG --cflags gtk+-2.0 gthread-2.0` GTK2_CFLAGS=`$HAVEPKGCONFIG --cflags gtk+-2.0 gthread-2.0`
# GTK2_LIBS=`$HAVEPKGCONFIG --libs libglade-2.0 gtk+-2.0 gthread-2.0` GTK2_LIBS=`$HAVEPKGCONFIG --libs gtk+-2.0 gthread-2.0`
GTK2_LIBS=`$HAVEPKGCONFIG --libs gtk+-2.0 gthread-2.0`
# if test ! -z "GLADE_STATIC" ; then
# GTK2_LIBS=`echo $GTK2_LIBS | sed "s/-lglade-2.0/$GLADE_STATIC -lglade-2.0 $BDYNAMIC/g"`
# fi
save_CFLAGS="$CFLAGS" save_CFLAGS="$CFLAGS"
save_LIBS="$LIBS" save_LIBS="$LIBS"
CFLAGS="$GTK2_CFLAGS $save_CFLAGS" CFLAGS="$GTK2_CFLAGS $save_CFLAGS"
......
...@@ -102,8 +102,8 @@ and commands are denoted below. ...@@ -102,8 +102,8 @@ and commands are denoted below.
numeric suffix between zero and 15). Finally, the numeric suffix between zero and 15). Finally, the
"ptrack" kernel patch is required for process "ptrack" kernel patch is required for process
tracking. tracking.
<li> <b>sview</b> The sview command will be built only if <i>libglade-2.0</i> <li> <b>sview</b> The sview command will be built only if and <i>gtk+-2.0</i>
and <i>gtk+-2.0</i> are installed</li> is installed</li>
</ul> </ul>
Please see the <a href=download.html>Download</a> page for references to Please see the <a href=download.html>Download</a> page for references to
required software to build these plugins.</p> required software to build these plugins.</p>
...@@ -641,6 +641,6 @@ Contents of major releases are also described in the RELEASE_NOTES file. ...@@ -641,6 +641,6 @@ Contents of major releases are also described in the RELEASE_NOTES file.
</pre> <p class="footer"><a href="#top">top</a></p> </pre> <p class="footer"><a href="#top">top</a></p>
<p style="text-align:center;">Last modified 7 January 2009</p> <p style="text-align:center;">Last modified 28 March 2009</p>
<!--#include virtual="footer.txt"--> <!--#include virtual="footer.txt"-->
.TH "sview" "1" "SLURM 2.0" "October 2006" "SLURM Commands" .TH "sview" "1" "SLURM 2.0" "May 2009" "SLURM Commands"
.SH "NAME" .SH "NAME"
.LP .LP
sview \- graphical user interface to view and modify SLURM state. sview \- graphical user interface to view and modify SLURM state.
...@@ -41,8 +41,7 @@ unintended changes. ...@@ -41,8 +41,7 @@ unintended changes.
Your personal \fBsview\fR initializations. Your personal \fBsview\fR initializations.
.SH "NOTES" .SH "NOTES"
The sview command can only be build if \fIlibglade\-2.0\fR and The sview command can only be build if \fIgtk+\-2.0\fR is installed.
\fIgtk+\-2.0\fR are installed.
Systems lacking these libraries will have SLURM installed without Systems lacking these libraries will have SLURM installed without
the sview command. the sview command.
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment